Upstream information

CVE-2019-10143 at MITRE

Description

** DISPUTED ** It was discovered freeradius up to and including version 3.0.19 does not correctly configure logrotate, allowing a local attacker who already has control of the radiusd user to escalate his privileges to root, by tricking logrotate into writing a radiusd-writable file to a directory normally inaccessible by the radiusd user. NOTE: the upstream software maintainer has stated "there is simply no way for anyone to gain privileges through this alleged issue."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7 6.4
Vector CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity High High
Privileges Required Low High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3
SUSE Bugzilla entry: 1136195 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 7
SUSE Liberty Linux 7 LTSS
  • freeradius >= 3.0.13-15.el7
  • freeradius-devel >= 3.0.13-15.el7
  • freeradius-doc >= 3.0.13-15.el7
  • freeradius-krb5 >= 3.0.13-15.el7
  • freeradius-ldap >= 3.0.13-15.el7
  • freeradius-mysql >= 3.0.13-15.el7
  • freeradius-perl >= 3.0.13-15.el7
  • freeradius-postgresql >= 3.0.13-15.el7
  • freeradius-python >= 3.0.13-15.el7
  • freeradius-sqlite >= 3.0.13-15.el7
  • freeradius-unixODBC >= 3.0.13-15.el7
  • freeradius-utils >= 3.0.13-15.el7
Patchnames:
RHSA-2020:3984
SUSE Liberty Linux 8
  • freeradius >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-devel >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-doc >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-krb5 >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-ldap >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-mysql >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-perl >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-postgresql >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-rest >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-sqlite >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-unixODBC >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
  • freeradius-utils >= 3.0.17-6.module+el8.1.0+3392+9bd8939b
Patchnames:
RHSA-2019:3353


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 freeradius-server Already fixed
SLES for SAP Applications 11 SP3 freeradius-server Already fixed
SUSE CaaS Platform 4.0 freeradius-server Already fixed
SUSE Enterprise Storage 6 freeradius-server Already fixed
SUSE Linux Enterprise Desktop 11 SP4 freeradius-server Already fixed
SUSE Linux Enterprise Desktop 12 freeradius-server Already fixed
SUSE Linux Enterprise Desktop 12 SP1 freeradius-server Already fixed
SUSE Linux Enterprise Desktop 12 SP2 freeradius-server Already fixed
SUSE Linux Enterprise Desktop 12 SP3 freeradius-server Already fixed
SUSE Linux Enterprise Desktop 12 SP4 freeradius-server Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP4 freeradius-server Affected
SUSE Linux Enterprise High Performance Computing 15 freeradius-server Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 freeradius-server Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS freeradius-server Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS freeradius-server Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS freeradius-server Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Module for Server Applications 15 freeradius-server Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP1 freeradius-server Already fixed
SUSE Linux Enterprise Server 11 SP3 freeradius-server Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 11 SP3-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 11 SP4 freeradius-server Already fixed
SUSE Linux Enterprise Server 11 SP4 LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 11 SP4-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 12 freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP1 freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP1-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP2 freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP2-ESPOS freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP2-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP3 freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP3-BCL freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP3-ESPOS freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP3-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP4 freeradius-server Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS freeradius-server Already fixed
SUSE Linux Enterprise Server 12 SP4-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 12-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 15 freeradius-server Already fixed
SUSE Linux Enterprise Server 15 SP1 freeradius-server Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL freeradius-server Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server 15-LTSS freeradius-server Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 freeradius-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 11 SP4 freeradius-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 freeradius-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP1 freeradius-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 freeradius-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 freeradius-server Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 freeradius-server Affected
SUSE Linux Enterprise Server for SAP Applications 15 freeradius-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 freeradius-server Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 freeradius-server Already fixed
SUSE Linux Enterprise Software Development Kit 12 freeradius-server Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP1 freeradius-server Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP2 freeradius-server Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP3 freeradius-server Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP4 freeradius-server Unsupported
SUSE Manager Proxy 4.0 freeradius-server Already fixed
SUSE Manager Retail Branch Server 4.0 freeradius-server Already fixed
SUSE Manager Server 4.0 freeradius-server Already fixed
SUSE OpenStack Cloud 7 freeradius-server Already fixed
SUSE OpenStack Cloud 8 freeradius-server Already fixed
SUSE OpenStack Cloud 9 freeradius-server Already fixed
SUSE OpenStack Cloud Crowbar 8 freeradius-server Already fixed
SUSE OpenStack Cloud Crowbar 9 freeradius-server Already fixed


SUSE Timeline for this CVE

CVE page created: Thu May 23 17:36:59 2019
CVE page last modified: Wed Jun 12 15:29:26 2024